Loading...
Searching...
No Matches
disposition.h File Reference

A delivery state. More...

`#include <proton/import_export.h>`
`#include <proton/type_compat.h>`
`#include <proton/condition.h>`
`#include <stddef.h>`
Include dependency graph for disposition.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | PN_RECEIVED
| The PN_RECEIVED delivery state is a non terminal state indicating how much (if any) message data has been received for a delivery.
#define | PN_ACCEPTED
| The PN_ACCEPTED delivery state is a terminal state indicating that the delivery was successfully processed.
#define | PN_REJECTED
| The PN_REJECTED delivery state is a terminal state indicating that the delivery could not be processed due to some error condition.
#define | PN_RELEASED
| The PN_RELEASED delivery state is a terminal state indicating that the delivery is being returned to the sender.
#define | PN_MODIFIED
| The PN_MODIFIED delivery state is a terminal state indicating that the delivery is being returned to the sender and should be annotated by the sender prior to further delivery attempts.

## Typedefs

typedef struct pn_disposition_t | pn_disposition_t
| A delivery state.

## Functions

uint64_t | pn_disposition_type (pn_disposition_t *disposition)
| Get the type of a disposition.
const char * | pn_disposition_type_name (uint64_t disposition_type)
| Name of a disposition type for logging and debugging: "received", "accepted" etc.
pn_condition_t * | pn_disposition_condition (pn_disposition_t *disposition)
| Access the condition object associated with a disposition.
pn_data_t * | pn_disposition_data (pn_disposition_t *disposition)
| Access the disposition as a raw pn_data_t.
uint32_t | pn_disposition_get_section_number (pn_disposition_t *disposition)
| Get the section number associated with a disposition.
void | pn_disposition_set_section_number (pn_disposition_t *disposition, uint32_t section_number)
| Set the section number associated with a disposition.
uint64_t | pn_disposition_get_section_offset (pn_disposition_t *disposition)
| Get the section offset associated with a disposition.
void | pn_disposition_set_section_offset (pn_disposition_t *disposition, uint64_t section_offset)
| Set the section offset associated with a disposition.
bool | pn_disposition_is_failed (pn_disposition_t *disposition)
| Check if a disposition has the failed flag set.
void | pn_disposition_set_failed (pn_disposition_t *disposition, bool failed)
| Set the failed flag on a disposition.
bool | pn_disposition_is_undeliverable (pn_disposition_t *disposition)
| Check if a disposition has the undeliverable flag set.
void | pn_disposition_set_undeliverable (pn_disposition_t *disposition, bool undeliverable)
| Set the undeliverable flag on a disposition.
pn_data_t * | pn_disposition_annotations (pn_disposition_t *disposition)
| Access the annotations associated with a disposition.

## Detailed Description

A delivery state.